Bio::SeqFeature::PositionProxy(3)

NAME
Bio::SeqFeature::PositionProxy - handle features when truncation/revcom sequences span a feature

SYNOPSIS
   $proxy = new Bio::SeqFeature::PositionProxy ( -loc => $loc,
                                                 -parent => $basefeature);

   $seq->add_SeqFeature($feat);

DESCRIPTION
PositionProxy is a Proxy Sequence Feature to handle truncation and revcomp without duplicating all the data within the sequence features. It holds a new location for a sequence feature and the original feature it came from to provide the additional annotation information.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org          - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Ewan Birney
Ewan Birney <birney@sanger.ac.uk>

DEVELOPERS
This class has been written with an eye out of inheritence. The fields the actual object hash are:

   _gsf_tag_hash  = reference to a hash for the tags
   _gsf_sub_array = reference to an array for sub arrays
   _gsf_start     = scalar of the start point
   _gsf_end       = scalar of the end point
   _gsf_strand    = scalar of the strand

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  location
 Title   : location
 Usage   : my $location = $seqfeature->location()
 Function: returns a location object suitable for identifying location
           of feature on sequence or parent feature
 Returns : Bio::LocationI object
 Args    : none

  parent
 Title   : parent
 Usage   : my $sf = $proxy->parent()
 Function: returns the seqfeature parent of this proxy
 Returns : Bio::SeqFeatureI object
 Args    : none

  start
 Title   : start
 Usage   : $start = $feat->start
           $feat->start(20)
 Function: Get
 Returns : integer
 Args    : none

  end
 Title   : end
 Usage   : $end = $feat->end
           $feat->end($end)
 Function: get
 Returns : integer
 Args    : none

  length
 Title   : length
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  strand
 Title   : strand
 Usage   : $strand = $feat->strand()
           $feat->strand($strand)
 Function: get/set on strand information, being 1,-1 or 0
 Returns : -1,1 or 0
 Args    : none

  attach_seq
 Title   : attach_seq
 Usage   : $sf->attach_seq($seq)
 Function: Attaches a Bio::Seq object to this feature. This
           Bio::Seq object is for the *entire* sequence: ie
           from 1 to 10000
 Example :
 Returns : TRUE on success
 Args    :

  seq
 Title   : seq
 Usage   : $tseq = $sf->seq()
 Function: returns the truncated sequence (if there) for this
 Example :
 Returns : sub seq on attached sequence bounded by start & end
 Args    : none

  entire_seq
 Title   : entire_seq
 Usage   : $whole_seq = $sf->entire_seq()
 Function: gives the entire sequence that this seqfeature is attached to
 Example :
 Returns :
 Args    :

  seqname
 Title   : seqname
 Usage   : $obj->seq_id($newval)
 Function: There are many cases when you make a feature that you
           do know the sequence name, but do not know its actual
           sequence. This is an attribute such that you can store
           the seqname.

           This attribute should *not* be used in GFF dumping, as
           that should come from the collection in which the seq
           feature was found.
 Returns : value of seqname
 Args    : newvalue (optional)

  Proxies
These functions chain back to the parent for all non sequence related stuff.

  primary_tag
 Title   : primary_tag
 Usage   : $tag = $feat->primary_tag()
 Function: Returns the primary tag for a feature,
           eg 'exon'
 Returns : a string
 Args    : none

  source_tag
 Title   : source_tag
 Usage   : $tag = $feat->source_tag()
 Function: Returns the source tag for a feature,
           eg, 'genscan'
 Returns : a string
 Args    : none

  has_tag
 Title   : has_tag
 Usage   : $tag_exists = $self->has_tag('some_tag')
 Function:
 Returns : TRUE if the specified tag exists, and FALSE otherwise
 Args    :

  each_tag_value
 Title   : each_tag_value
 Usage   : @values = $self->each_tag_value('some_tag')
 Function:
 Returns : An array comprising the values of the specified tag.
 Args    :

  all_tags
 Title   : all_tags
 Usage   : @tags = $feat->all_tags()
 Function: gives all tags for this feature
 Returns : an array of strings
 Args    : none